Aurora Postgres 14.7 버전은 언제까지 사용이 가능한가요?

0

안녕하세요

현재 Aurora Postgres 12.12 버전과 Postgres RDS 14.5 버전을 사용하고 있습니다.

Aurora Postgres 의 경우에는 한달 내로 14.7 버전으로 업그레이드를 계획하고 있습니다.

그런데 얼마전 Postgres RDS 14.5 버전을 14.10 으로 업그레이드 하라는 알람을 수신하였습니다. 이 알람에 따르면 14.7 까지도 업그레이드를 해야하며, 하지 않을 경우 3월 29일 이후부터는 유지관리 기간 동안 자동 업그레이드 된다는 내용을 포함하고 있습니다.

Aurora와 RDS의 마이너 버전이 정확히 일치되게 관리되는 건 아니라는 건 압니다만 RDS에서 14.7 버전이 사용 중지가 된다면, 이건 조만간 Aurora도 비슷한 일이 있을 것이라는 걸 예상은 할 수 있는데요.

문제는 Aurora를 사용하는 시스템이 Critical한 DB라 업그레이드를 위한 downtime을 쉽게 잡을 수 없다는 점입니다. 14.7로 업그레이를 하면 최소 3달 이상은 downtime을 잡을 수 없기 때문에 aurora 14.7 버전이 조만간 사용중지가 된다면, 상위 버전을 고려해야할 것 같습니다.

고객을 설득하기 위해서는 명확한 자료가 필요해서 문의드립니다. 언제까지 사용할 수 있는지에 대한 계획된 자료가 있으면 알려주시기 바랍니다.

감사합니다.

아래는 제가 확인한 메세지 전체입니다. "이 메시지가 표시되는 이유는 고객님께서는 현재 PostgreSQL 마이너 버전 12.11, 12.12, 12.13, 12.14, 13.7, 13.8, 13.9, 13.10, 14.3, 14.4, 14.5, 14.5, 14.6, 14.7 또는 15.2용 Amazon RDS를 실행하는 인스턴스가 하나 이상 있어 주의가 필요하기 때문입니다. 앞에서 언급된 PostgreSQL 마이너 버전용 RDS는 2024년 3월 29일에 표준 지원이 종료됩니다. 메이저 및 마이너 버전 지원과 관련된 RDS 정책에 대한 자세한 내용은 RDS FAQ [1] 의 데이터베이스 엔진 버전 섹션을 참조하시기 바랍니다.관련 조치를 취하시고 마이너 버전 12.11, 12.12, 12.13, 12.14, 13.7, 13.8, 13.9, 13.10, 14.3, 14.4, 14.5, 14.5, 14.6, 14.7 및 15.2를 실행하는 PostgreSQL 데이터베이스용 RDS를 2024년 3월 29일 이전에 버전 12.17, 13.13, 14.10, 15.5 이상으로 업그레이드하는 것을 권장합니다. 또는 자동 마이너 버전 업그레이드 [3] 를 활성화하여 Amazon RDS에서 인스턴스를 업그레이드하실 수 있습니다.알려진 보안 취약점에 대한 패치뿐만 아니라 PostgreSQL 커뮤니티에서 추가한 버그 수정, 성능 개선 및 새로운 기능을 활용하려면 이러한 인스턴스를 최신 마이너 버전으로 업그레이드하는 것이 좋습니다. PostgreSQL 버전의 문서화된 취약성에 대해 자세히 알아보려면 PostgreSQL 보안 페이지 [4] 를 참조하시기 바랍니다.위에서 언급한 마이너 버전을 실행하는 PostgreSQL용 Amazon RDS 인스턴스는 “영향을 받는 리소스” 탭에 나열되어 있습니다.2024년 2월 29일 오전 00:00:01 (UTC) 부터는 AWS 콘솔 또는 CLI에서 PostgreSQL 마이너 버전 12.11, 12.12, 12.13, 12.14, 13.7, 13.8, 13.9, 13.10, 14.3, 14.4, 14.5, 14.6, 14.7 또는 15.2를 사용하여 Amazon RDS에 새 데이터베이스 인스턴스를 생성하실 수 없습니다. Amazon RDS는 2024년 3월 29일 00:00:01 UTC와 2024년 4월 29일 00:00:01 UTC 사이의 예정된 유지 관리 기간 동안 위에서 언급한 마이너 버전을 실행하는 PostgreSQL 데이터베이스와 해당 버전의 스냅샷에서 복원된 모든 인스턴스가 12.17, 13.13, 14.10, 15.5 이상으로 자동 업그레이드됩니다. 2024년 4월 29일 00:00:01 AM UTC부터 위에 언급된 마이너 버전을 실행하는 PostgreSQL 데이터베이스 중 남아 있는 모든 PostgreSQL 데이터베이스는 인스턴스의 예정된 유지 관리 기간과 상관없이 12.17, 13.13, 14.10, 15.5 이상으로 업그레이드됩니다."

Nicole
질문됨 4달 전495회 조회
1개 답변
0

받으신 알림은 Amazon Aurora PostgreSQL 버전이 아닌 RDS Postgres 버전에 대한 지원 종료와 관련되어 있습니다. Aurora와 RDS에서 마이너 버전을 관리하는 데는 서로 다른 접근 방법이 적용된다는 점에 유의하시기 바랍니다. Aurora와 RDS의 업데이트는 서로 다른 배포 절차를 따르며, 이는 각 데이터베이스 서비스에서 마이너 버전을 관리하는 데 있어 동일하지 않은 특성을 보여줍니다.

Amazon Aurora의 경우, 특정 메이저 버전의 각 마이너 버전이 출시되면 최소 12개월 동안 사용할 수 있도록 하는 것이 저희의 목표입니다. 그러나 보안 문제와 같은 중대한 문제가 발생하거나 메이저 버전의 수명이 다한 경우 등 매우 드물게 마이너 버전을 더 빨리 교체할 수 있는 경우가 있습니다.

수명 종료가 임박한 마이너 버전에 대한 자동 업그레이드를 시작하기 전, 일반적으로 3개월 전에 미리 알림을 제공합니다. 이 알림에는 마일스톤 시점, DB 클러스터에 미치는 영향, 권장 조치 등 업그레이드 프로세스에 대한 자세한 정보가 포함됩니다.

현재로서는 지원 종료되는 Aurora Postgres 14.7 버전에 대한 릴리스 날짜가 정해져 있지 않으며, 현재 사용 가능하다는 점에 참고해 주세요.

자세한 내용은 다음 리소스를 참조하세요:

AWS
지원 엔지니어
답변함 4달 전

로그인하지 않았습니다. 로그인해야 답변을 게시할 수 있습니다.

좋은 답변은 질문에 명확하게 답하고 건설적인 피드백을 제공하며 질문자의 전문적인 성장을 장려합니다.

질문 답변하기에 대한 가이드라인